function HebenLast_S64_P
%Parameter fr Heben einer Last nach Scherf Beispiel 6.4
%"Modellierung und Simulation dynamischer Systeme", S.162/167
%Oldenbourg Verlag, 2003

assignin('base','JM',0.15);      %Massentrgheitsmoment des Motors [kgm^2]
assignin('base','JT',2.5);       %Massentrgheitsmoment der Seiltrommel [kgm^2]
assignin('base','r',0.3);        %Trommelradius [m]
assignin('base','mL',50);        %Masse der Last [kg]
assignin('base','iG',10);        %Getriebebersetzung [-] ---> omega_M/omega_T
assignin('base','MK',150);       %Kippmoment des Motors [Nm]
assignin('base','sk',0.2);       %Kippschlupf des Motors [-]
assignin('base','ns',1500);      %Synchrondrehzahl (Drehfeld) [U/min]]
assignin('base','g',9.81);       %Erdbeschleunigung [m/s^2]

%Nur fr Bondgraph:
evalin('base','ns_rs=ns*2*pi/60;'); %Umrechnung in Normmaeinheit [rad/s]

%Nur fr signalfluorientierte Modellierung nach Scherf:
evalin('base','Jred=JM+JT/iG^2+mL*r^2/iG^2;'); %Berechnung im MATLAB workspace
evalin('base','MLM=mL*g*r / iG;');             %Berechnung im MATLAB workspace

disp('Parameter fr Bondgraph Beispiel "HebenLast_Scherf_64" geladen!');
